import { ApiError } from "./api-error";

export class NotFoundApiError extends ApiError {
  constructor(detail: string) {
    super({
      status: 404,
      title: "Resource Not Found",
      detail,
      type: "https://httpstatuses.com/404",
    });
  }
}
